Subject: [bug#71802] [PATCH 0/1] Avoid guix home reconfiguration when nothing is to be done.

From: Nicolas Graves <[email-masked]>
Date: Thu, 27 Jun 2024 17:00:40 +0200

While experimenting with profile reconfigurations almost a year ago, a
thing that happened a lot was that I reconfigured a lot while often I
didn't need to. In the event a guix system / guix home wrapper comes
to life (I've experimented for that in RDE), such a reflex to avoid
switching to new profiles that already are existing profiles is
welcome IMO.

This is not a definitive proposal but rather an illustration of an
approach which could be implemented at other places too to avoid some
unecessary calculations / reconfigurations.

Nicolas Graves (1):
  guix: home: Avoid home reconfiguration when nothing is to be done.

 guix/scripts/home.scm | 16 ++++++++++------
 1 file changed, 10 insertions(+), 6 deletions(-)

-- 
2.45.2